%define module_name POE-Component-Supervisor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/PartialDump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Hash/Util/FieldHash/Compat.pm) perl(Log/Dispatch/Config/TestLog.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/LogDispatch.pm) perl(MooseX/POE.pm) perl(MooseX/POE/Aliased.pm) perl(POE.pm) perl(POE/API/Peek.pm) perl(POE/Wheel/Run.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Set/Object.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt2
Summary: Erlang-inspired babysitting
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/POE-Component-Supervisor

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a port of the Erlang process supervisor
(http://www.erlang.org/doc/design_principles/sup_princ.html).

This will monitor instances of children, restarting them as necessary should
they exit.

Restart throttling is not yet implemented but planned for a future version.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/P*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt2
- updated summary

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

